### Method

# Gsk Transform scale

#### Declaration [src]

    GskTransform*
    gsk_transform_scale (
      GskTransform* next,
      float factor_x,
      float factor_y
    )

#### Description [src]

Scales `next` in 2-dimensional space by the given factors.

Use `gsk_transform_scale_3d()` to scale in all 3 dimensions.

This function consumes `next`. Use `gsk_transform_ref()` first if you want to keep it around.

#### Parameters

`next`

  Type: `GskTransform`

  The next transform.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`factor_x`

  Type: `float`

  Scaling factor on the X axis.

`factor_y`

  Type: `float`

  Scaling factor on the Y axis.

#### Return value

Type: `GskTransform`

The new transform.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.